#if !defined(AFX_DLGACT_HPP__C7833E82_CCF7_11D0_B183_0060973673C5__INCLUDED_)
#define AFX_DLGACT_HPP__C7833E82_CCF7_11D0_B183_0060973673C5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgAct.hpp : header file
//

#include "TACT_Res.h"

class TAction_Interface;
class CDlgZAList;

/////////////////////////////////////////////////////////////////////////////
// CDlgAction form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CDlgAction : public CFormView
{
private:
    TAction_Interface   *m_p_oDLL;
    CDlgZAList          *m_p_oDlgZAList;
    int                 *m_a_iNewSelection;
    int                 *m_a_iLastSelection;
    long                m_lLastNbSelected;
    long                m_lNewNbSelected;
protected:
	CDlgAction();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDlgAction)

// Form Data
public:
	//{{AFX_DATA(CDlgAction)
	enum { IDD = IDD_DLG_ACTION };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName,
				DWORD dwRequestedStyle, const RECT& rect, CWnd* pParentWnd, UINT nID,
				CCreateContext* pContext);

// Operations
public:
	void mfn_vSetCurrentFamily      ( CPA_Family *_p_oFamily );
    void mfn_vSetParentDLL          ( TAction_Interface *_p_oDLL )      { m_p_oDLL = _p_oDLL; }
    void mfn_vSetDlgZAList          ( CDlgZAList *_p_oDlgZAList )  { m_p_oDlgZAList = _p_oDlgZAList; }
    void mfn_vSetCurrentActionList  ( int *_a_ItemList, long _lNumberOfItems );
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgAction)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void mfn_vFillLBActions(CPA_Family *_p_oFamily);
	virtual ~CDlgAction();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CDlgAction)
	afx_msg void OnDestroy();
	afx_msg void OnBtSelectall();
	afx_msg void OnSelchangeListAction();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGACT_HPP__C7833E82_CCF7_11D0_B183_0060973673C5__INCLUDED_)
